@import './global.css';

h1 {
  margin-top: 0;
}

.container {
  align-self: center;
}

.grid {
  display: grid;
  justify-items: center;
  gap: 16px;

  & .grid-item.full-width {
    width: 100%;
  }
}

.password-options {
  display: flex;
  justify-content: space-between;

  & a {
    color: blue;

    &:hover {
      text-decoration-line: underline;
    }
  }
}

input[type=password],
input[type=email],
input[type=text] {
  display: block;
  min-height: 50px;
  width: 400px;
  border-radius: var(--border-radius);
  padding: 16px;
  font-weight: 400;
  font-size: 16px;
  font-family: Roboto, RobotoDraft, Helvetica, Arial, sans-serif;
  border-width: 1px;
}

.button-container {
  display: flex;
  gap: 1em;
}

.form-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
  border: 1px solid #dadce0;
  padding: 48px 36px 40px 36px;
  border-radius: var(--border-radius);
  max-width: 100%;
}

page-main {
  height: 100%;
  padding-bottom: 16px;
}

.error-message {
  display: none;
  min-height: 50px;
  width: 400px;
  padding: 16px;
  background-color: #fbe1e3;
  color: #e73d4a;
  border-radius: var(--border-radius);

  &.show {
    display: block;
  }
}

.info {
  width: 472px;
  padding: 36px;
  border: 1px solid #dadce0;
  border-radius: var(--border-radius);
}

/* Override design in Phones */
@media screen and (max-width: 740px) {
  .container {
    align-self: start;
  }

  .form-container {
    border: 0;
    padding-top: 0;
    padding-bottom: 0;
  }

  .grid-item {
    width: 100%;
  }

  input[type=password],
  input[type=email],
  input[type=text],
  .error-message {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
  }

  form {
    width: 100%;
  }

  .info {
    border: 0;
    width: 100%;
    max-width: 472px;
  }
}